ProyectoCrm/src/app/Modulos/ColorModulo/Paginas/fw-color/Componentes/fw-color-hexadecimales/fw-color-hexadecimales.component.pug
div.form-row.border-bottom-secondary.mb-2
  div.form-group.col-12
    h5.mb-0.text-gray-800
      span.fas.fa-paint-brush.mr-2
      span Hexadecimales
div(*ngFor="let tHexadecimalFor of tColores1x3 | slice: (tPaginaHexadecimales-1) * tTamanoPagHexadecimales : (tPaginaHexadecimales-1) * tTamanoPagHexadecimales + tTamanoPagHexadecimales").form-row
  ng-container(*ngIf="tHexadecimalFor[0]")
    div.form-group.col-12.col-lg-4
      div([ngClass]="{'border-left-primary':tHexadecimalFor[0].Principal===1}").card
        div([ngStyle]="{'background-color': tHexadecimalFor[0].Hexadecimal}").card-body.rounded-top
          button(type="button",
            aria-label="Close",
            (click)="EliminarHexadecimal(tHexadecimalFor[0])").close
            span(aria-hidden="true") &times;
        div.card-body
          div.row
            div.col-12.text-center
              div.fas.fa-palette.fa-2x.text-gray-300
              h6
                a(href="#",
                  (click)="AsignarPrincipal(tHexadecimalFor[0])").text-decoration-none {{ tHexadecimalFor[0].Hexadecimal }}
  ng-container(*ngIf="tHexadecimalFor[1]")
    div.form-group.col-12.col-lg-4
      div([ngClass]="{'border-left-primary':tHexadecimalFor[1].Principal===1}").card
        div([ngStyle]="{'background-color': tHexadecimalFor[1].Hexadecimal}").card-body.rounded-top
          button(type="button",
            aria-label="Close",
            (click)="EliminarHexadecimal(tHexadecimalFor[1])").close
            span(aria-hidden="true") &times;
        div.card-body
          div.row
            div.col-12.text-center
              div.fas.fa-palette.fa-2x.text-gray-300
              h6
                a(href="#",
                  (click)="AsignarPrincipal(tHexadecimalFor[1])").text-decoration-none {{ tHexadecimalFor[1].Hexadecimal }}
  ng-container(*ngIf="tHexadecimalFor[2]")
    div.form-group.col-12.col-lg-4
      div([ngClass]="{'border-left-primary':tHexadecimalFor[2].Principal===1}").card
        div([ngStyle]="{'background-color': tHexadecimalFor[2].Hexadecimal}").card-body.rounded-top
          button(type="button",
            aria-label="Close",
            (click)="EliminarHexadecimal(tHexadecimalFor[2])").close
            span(aria-hidden="true") &times;
        div.card-body
          div.row
            div.col-12.text-center
              div.fas.fa-palette.fa-2x.text-gray-300
              h6
                a(href="#",
                  (click)="AsignarPrincipal(tHexadecimalFor[2])").text-decoration-none {{ tHexadecimalFor[2].Hexadecimal }}
div.form-row
  div.form-group.col-12
    ngb-pagination([collectionSize]="tColores1x3.length || 0",
        [(page)]="tPaginaHexadecimales",
        aria-label="Default pagination",
        [pageSize]="tTamanoPagHexadecimales").d-flex.justify-content-center

ProyectoCrm/src/app/Modulos/ColorModulo/Paginas/fw-color/Componentes/fw-color-hexadecimales/fw-color-hexadecimales.component.html

<div class="form-row border-bottom-secondary mb-2">
  <div class="form-group col-12">
    <h5 class="mb-0 text-gray-800"><span class="fas fa-paint-brush mr-2"></span><span>Hexadecimales</span></h5>
  </div>
</div>
<div class="form-row" *ngFor="let tHexadecimalFor of tColores1x3 | slice: (tPaginaHexadecimales-1) * tTamanoPagHexadecimales : (tPaginaHexadecimales-1) * tTamanoPagHexadecimales + tTamanoPagHexadecimales">
  <ng-container *ngIf="tHexadecimalFor[0]">
    <div class="form-group col-12 col-lg-4">
      <div class="card" [ngClass]="{'border-left-primary':tHexadecimalFor[0].Principal===1}">
        <div class="card-body rounded-top" [ngStyle]="{'background-color': tHexadecimalFor[0].Hexadecimal}">
          <button class="close" type="button" aria-label="Close" (click)="EliminarHexadecimal(tHexadecimalFor[0])"><span aria-hidden="true">&times;</span></button>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-12 text-center">
              <div class="fas fa-palette fa-2x text-gray-300"></div>
              <h6><a class="text-decoration-none" href="#" (click)="AsignarPrincipal(tHexadecimalFor[0])">{{ tHexadecimalFor[0].Hexadecimal }}</a></h6>
            </div>
          </div>
        </div>
      </div>
    </div>
  </ng-container>
  <ng-container *ngIf="tHexadecimalFor[1]">
    <div class="form-group col-12 col-lg-4">
      <div class="card" [ngClass]="{'border-left-primary':tHexadecimalFor[1].Principal===1}">
        <div class="card-body rounded-top" [ngStyle]="{'background-color': tHexadecimalFor[1].Hexadecimal}">
          <button class="close" type="button" aria-label="Close" (click)="EliminarHexadecimal(tHexadecimalFor[1])"><span aria-hidden="true">&times;</span></button>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-12 text-center">
              <div class="fas fa-palette fa-2x text-gray-300"></div>
              <h6><a class="text-decoration-none" href="#" (click)="AsignarPrincipal(tHexadecimalFor[1])">{{ tHexadecimalFor[1].Hexadecimal }}</a></h6>
            </div>
          </div>
        </div>
      </div>
    </div>
  </ng-container>
  <ng-container *ngIf="tHexadecimalFor[2]">
    <div class="form-group col-12 col-lg-4">
      <div class="card" [ngClass]="{'border-left-primary':tHexadecimalFor[2].Principal===1}">
        <div class="card-body rounded-top" [ngStyle]="{'background-color': tHexadecimalFor[2].Hexadecimal}">
          <button class="close" type="button" aria-label="Close" (click)="EliminarHexadecimal(tHexadecimalFor[2])"><span aria-hidden="true">&times;</span></button>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-12 text-center">
              <div class="fas fa-palette fa-2x text-gray-300"></div>
              <h6><a class="text-decoration-none" href="#" (click)="AsignarPrincipal(tHexadecimalFor[2])">{{ tHexadecimalFor[2].Hexadecimal }}</a></h6>
            </div>
          </div>
        </div>
      </div>
    </div>
  </ng-container>
</div>
<div class="form-row">
  <div class="form-group col-12">
    <ngb-pagination class="d-flex justify-content-center" [collectionSize]="tColores1x3.length || 0" [(page)]="tPaginaHexadecimales" aria-label="Default pagination" [pageSize]="tTamanoPagHexadecimales"></ngb-pagination>
  </div>
</div>
